#!/bin/bash

# Check if correct number of arguments is provided
if [ "$#" -ne 1 ]; then
    echo "Usage: $0 <start_ip>-<end_ip>"
    exit 1
fi

# Extract start and end IP addresses from the argument
start_ip=$(echo $1 | cut -d'-' -f1)
end_ip=$(echo $1 | cut -d'-' -f2)

# Iterate through IP addresses in the range
for n in $(seq -f "%03g" $(echo $start_ip | cut -d'.' -f4) $(echo $end_ip | cut -d'.' -f4)); do
    host=$(echo $start_ip | cut -d'.' -f1-3).$n
    ping -c2 $host &> /dev/null

    if [ $? = 0 ]; then
        echo "$host is UP"
    else
        echo "$host is DOWN"
    fi
done
